%define debug_package %{nil}

%bcond_with             readline
%define section         free

Name:           libreadline-java
Version:        0.8.1
Release:        6
Epoch:          0
Summary:        Java wrapper for the GNU-readline library
License:        LGPL
URL:            http://java-readline.sourceforge.net/
Source0:        http://download.sourceforge.net/java-readline/libreadline-java-%{version}-src.tar.gz
Patch0:         %{name}-ncurses.patch
BuildRequires:  java-rpmbuild >= 0:1.6
%if %with readline
BuildRequires:  readline-devel
%else
BuildRequires:  edit-devel
%endif
BuildRequires:  pkgconfig(ncurses)
Provides:       java_readline = %{epoch}:%{version}-%{release}
Provides:       gnu.readline = %{epoch}:%{version}-%{release}
Group:          Development/Java
BuildRequires:  java-1.7.0-openjdk

%description
Java-Readline is a port of GNU Readline for Java. Or, to be more 
precise, it is a JNI-wrapper to Readline. It is distributed under 
the LGPL.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
%apply_patches
%{_bindir}/find . -type d -name CVS | %{_bindir}/xargs -t rm -r
%{_bindir}/find . -type f -name "*.dll" | %{_bindir}/xargs -t rm
%{__perl} -pi -e 's|javadoc |%{javadoc} |g;' \
              -e 's|jar -c|%{jar} -c|g;' \
  Makefile

%build
export JAVA_HOME=%{java_home}
%if %with readline
make T_LIBS=JavaReadline JAVAC=%{javac} JC_FLAGS="" LIBPATH="-L%{_libdir}"
%else
make T_LIBS=JavaEditline JAVAC=%{javac} JC_FLAGS="" LIBPATH="-L%{_libdir}"
%endif
make apidoc

%install
# jar
%{__mkdir_p} %{buildroot}%{_jnidir}
%{__install} -m 644 %{name}.jar %{buildroot}%{_jnidir}/%{name}-%{version}.jar
(cd %{buildroot}%{_jnidir} && for jar in *-%{version}*; do \
%{__ln_s} ${jar} ${jar/-%{version}/}; done)
# lib
%{__mkdir_p} %{buildroot}%{_libdir}
%if %with readline
%{__install} -m 755 libJavaReadline.so %{buildroot}%{_libdir}/libJavaReadline.so
%else
%{__install} -m 755 libJavaEditline.so %{buildroot}%{_libdir}/libJavaEditline.so
%endif

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -a api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %{__ln_s} %{name}-%{version} %{name})

%files
%defattr(0644,root,root,0755)
%doc COPYING.LIB NEWS README README.1st TODO VERSION contrib
%attr(0755,root,root) %{_libdir}/*.so
%{_jnidir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog

* Mon Apr 06 2015 Tigro <ashejn@yandex-team.ru> 0:0.8.1-6
- (58db4c5) update ncurses patch


